import { BigQuery, Table } from "@google-cloud/bigquery";
import { FirestoreBigQueryEventHistoryTrackerConfig } from ".";
interface InitializeLatestMaterializedViewOptions {
    bq: BigQuery;
    changeTrackerConfig: FirestoreBigQueryEventHistoryTrackerConfig;
    view: Table;
    viewExists: boolean;
    rawChangeLogTableName: string;
    rawLatestViewName: string;
    schema?: any;
}
export declare function shouldRecreateMaterializedView(view: Table, config: FirestoreBigQueryEventHistoryTrackerConfig, source: string): Promise<boolean>;
/**
 * Creates the latest materialized view.
 */
export declare function initializeLatestMaterializedView({ bq, changeTrackerConfig: config, view, viewExists, rawChangeLogTableName, rawLatestViewName, schema, }: InitializeLatestMaterializedViewOptions): Promise<Table>;
export {};
