import { BigQuery, Dataset, Table } from "@google-cloud/bigquery";
import { FirestoreBigQueryEventHistoryTrackerConfig } from ".";
interface InitializeLatestViewOptions {
    bq: BigQuery;
    changeTrackerConfig: FirestoreBigQueryEventHistoryTrackerConfig;
    dataset: Dataset;
    view: Table;
    viewExists: boolean;
    rawChangeLogTableName: string;
    rawLatestViewName: string;
    useMaterializedView?: boolean;
    useIncrementalMaterializedView?: boolean;
    useLegacyQuery?: boolean;
    refreshIntervalMinutes?: number;
    maxStaleness?: string;
}
/**
 * Creates the latest snapshot view or materialized view.
 */
export declare function initializeLatestView({ changeTrackerConfig: config, dataset, view, viewExists, rawChangeLogTableName, rawLatestViewName, bq, }: InitializeLatestViewOptions): Promise<Table>;
export {};
