import { FirestoreBigQueryEventHistoryTrackerConfig } from ".";
import { FirestoreDocumentChangeEvent } from "..";
import * as bigquery from "@google-cloud/bigquery";
export declare class Partitioning {
    config: FirestoreBigQueryEventHistoryTrackerConfig;
    table: bigquery.Table;
    schema: object;
    constructor(config: FirestoreBigQueryEventHistoryTrackerConfig, table?: bigquery.Table, schema?: object);
    private isPartitioningEnabled;
    private isValidPartitionTypeString;
    private metaDataSchemaFields;
    private isValidPartitionTypeDate;
    private hasHourAndDatePartitionConfig;
    private hasValidCustomPartitionConfig;
    private hasValidTimePartitionOption;
    private hasValidTimePartitionType;
    hasExistingSchema(): Promise<boolean>;
    hasValidTableReference(): boolean;
    private isTablePartitioned;
    isValidPartitionForExistingTable(): Promise<boolean>;
    convertDateValue(fieldValue: Date): string;
    getPartitionValue(event: FirestoreDocumentChangeEvent): {
        [x: string]: any;
    };
    customFieldExists(fields?: any[]): boolean;
    private shouldAddPartitioningToSchema;
    addPartitioningToSchema(fields?: any[]): Promise<void>;
    updateTableMetadata(options: bigquery.TableMetadata): Promise<void>;
}
