import { FirestoreBigQueryEventHistoryTrackerConfig } from ".";
export type BigQueryFieldMode = "NULLABLE" | "REPEATED" | "REQUIRED";
export type BigQueryFieldType = "BOOLEAN" | "NUMERIC" | "RECORD" | "STRING" | "TIMESTAMP";
export type BigQueryField = {
    fields?: BigQueryField[];
    mode: BigQueryFieldMode;
    name: string;
    type: BigQueryFieldType;
};
export declare const dataField: BigQueryField;
export declare const documentNameField: BigQueryField;
export declare const eventIdField: BigQueryField;
export declare const operationField: BigQueryField;
export declare const timestampField: BigQueryField;
export declare const latitudeField: BigQueryField;
export declare const longitudeField: BigQueryField;
export declare const documentIdField: {
    name: string;
    mode: string;
    type: string;
    description: string;
};
export declare const documentPathParams: {
    name: string;
    mode: string;
    type: string;
    description: string;
};
export declare const oldDataField: {
    name: string;
    mode: string;
    type: string;
    description: string;
};
export declare const RawChangelogViewSchema: {
    fields: {
        name: string;
        mode: string;
        type: string;
        description: string;
    }[];
};
export declare const RawChangelogSchema: {
    fields: {
        name: string;
        mode: string;
        type: string;
        description: string;
    }[];
};
export declare const getNewPartitionField: (config: FirestoreBigQueryEventHistoryTrackerConfig) => {
    name: string;
    mode: string;
    type: string;
    description: string;
};
