interface LatestConsistentSnapshotViewOptions {
    datasetId: string;
    tableName: string;
    schema: any;
    bqProjectId?: string;
    useLegacyQuery?: boolean;
}
export declare const latestConsistentSnapshotView: ({ datasetId, tableName, schema, bqProjectId, useLegacyQuery, }: LatestConsistentSnapshotViewOptions) => {
    query: string;
    useLegacySql: boolean;
};
interface BuildLatestSnapshotViewQueryOptions {
    datasetId: string;
    tableName: string;
    timestampColumnName: string;
    groupByColumns: string[];
    bqProjectId?: string;
    useLegacyQuery?: boolean;
}
export declare function buildLatestSnapshotViewQuery({ datasetId, tableName, timestampColumnName, groupByColumns, bqProjectId, useLegacyQuery, }: BuildLatestSnapshotViewQueryOptions): string;
interface MaterializedViewOptions {
    projectId: string;
    datasetId: string;
    tableName: string;
    rawLatestViewName: string;
    schema: any;
    refreshIntervalMinutes?: number;
    maxStaleness?: string;
}
interface NonIncrementalMaterializedViewOptions extends MaterializedViewOptions {
    enableRefresh?: boolean;
}
export declare function buildMaterializedViewQuery({ projectId, datasetId, tableName, rawLatestViewName, schema, refreshIntervalMinutes, maxStaleness, }: NonIncrementalMaterializedViewOptions): {
    target: string;
    source: string;
    query: string;
};
export declare function buildNonIncrementalMaterializedViewQuery({ projectId, datasetId, tableName, rawLatestViewName, schema, refreshIntervalMinutes, maxStaleness, enableRefresh, }: NonIncrementalMaterializedViewOptions): {
    target: string;
    source: string;
    query: string;
};
export {};
