import { Table } from "@google-cloud/bigquery";
import { firestore } from "firebase-admin";
export declare const arrayFieldInvalid: (fieldName: string) => void;
export declare const bigQueryDatasetCreated: (datasetId: string) => void;
export declare const bigQueryDatasetCreating: (datasetId: string) => void;
export declare const bigQueryDatasetExists: (datasetId: string) => void;
export declare const bigQueryErrorRecordingDocumentChange: (e: Error) => void;
export declare const bigQueryLatestSnapshotViewQueryCreated: (query: string) => void;
export declare const bigQuerySchemaViewCreated: (name: string) => void;
export declare const bigQueryTableAlreadyExists: (tableName: string, datasetName: string) => void;
export declare const bigQueryTableCreated: (tableName: string) => void;
export declare const bigQueryTableCreating: (tableName: string) => void;
export declare const bigQueryTableUpdated: (tableName: string) => void;
export declare const bigQueryTableUpdating: (tableName: string) => void;
export declare const bigQueryTableUpToDate: (tableName: string) => void;
export declare const bigQueryTableValidated: (tableName: string) => void;
export declare const bigQueryTableValidating: (tableName: string) => void;
export declare const bigQueryUserDefinedFunctionCreating: (functionName: string) => void;
export declare const bigQueryUserDefinedFunctionCreated: (functionName: string) => void;
export declare const bigQueryViewCreated: (viewName: string) => void;
export declare const bigQueryViewCreating: (viewName: string, query: string) => void;
export declare const bigQueryViewAlreadyExists: (viewName: string, datasetName: string) => void;
export declare const bigQueryViewUpdated: (viewName: string) => void;
export declare const bigQueryViewUpdating: (viewName: string) => void;
export declare const bigQueryViewUpToDate: (viewName: string) => void;
export declare const bigQueryViewValidated: (viewName: string) => void;
export declare const bigQueryViewValidating: (viewName: string) => void;
export declare const complete: () => void;
export declare const dataInserted: (rowCount: number) => void;
export declare const dataInsertRetried: (rowCount: number) => void;
export declare const dataInserting: (rowCount: number) => void;
export declare const dataTypeInvalid: (fieldName: string, fieldType: string, dataType: string) => void;
export declare const error: (err: Error) => void;
export declare const timestampMissingValue: (fieldName: string) => void;
export declare const addNewColumn: (table: string, field: string) => void;
export declare const addPartitionFieldColumn: (table: any, field: any) => void;
export declare const firestoreTimePartitionFieldError: (documentName: string | undefined, fieldName: string | undefined, firestoreFieldName: string | undefined, firestoreFieldData: any) => void;
export declare const firestoreTimePartitioningParametersWarning: (fieldName: string | undefined, fieldType: string | undefined, firestoreFieldName: string | undefined, dataFirestoreField: firestore.Timestamp | string | undefined) => void;
export declare const bigQueryTableInsertErrors: (insertErrors: [
    {
        row: object;
        errors: Array<{
            message: string;
        }>;
    }
]) => void;
export declare const updatedClustering: (fields: string) => void;
export declare const removedClustering: (tableName: string) => void;
export declare const cannotPartitionExistingTable: (table: Table) => void;
export declare function invalidProjectIdWarning(bqProjectId: string): void;
export declare function invalidTableReference(): void;
export declare function hourAndDatePartitioningWarning(): void;
export declare function invalidClusteringTypes(fields: string): void;
export declare function invalidClustering(fields: string): void;
export declare const tableCreationError: (table: any, message: any) => void;
export declare const failedToInitializeWait: (message: any) => void;
export declare const updatingMetadata: (tableName: any, resources: any) => void;
