export declare enum ChangeType {
    CREATE = 0,
    DELETE = 1,
    UPDATE = 2,
    IMPORT = 3
}
export interface FirestoreDocumentChangeEvent {
    timestamp: string;
    operation: ChangeType;
    documentName: string;
    eventId: string;
    documentId: string;
    pathParams?: {
        documentId: string;
        [key: string]: string;
    } | null;
    data: Object;
    oldData?: Object | null;
    useNewSnapshotQuerySyntax?: boolean | null;
}
export interface FirestoreEventHistoryTracker {
    record(event: FirestoreDocumentChangeEvent[]): any;
}
